Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
DefaultObjectFactory< AbstractClass, ConcreteClass > Class Template Reference

_ More...

`#include <factory.h>`

Inheritance diagram for DefaultObjectFactory< AbstractClass, ConcreteClass >:

List of all members.

## Public Member Functions

AbstractClass * | CreateObject () const

## Detailed Description

### template<class AbstractClass, class ConcreteClass>
class DefaultObjectFactory< AbstractClass, ConcreteClass >

_

Definition at line 20 of file factory.h.

The documentation for this class was generated from the following file:

- factory.h